databaseChangeLog:
- property:
    name: now
    value: NOW()
    dbms: mysql
- property:
    name: uuid_type
    value: varchar(50)
    dbms: mysql
- logicalFilePath: liquibase/changelog/db.changelog-1.0.yaml
- changeSet:
    id: PAYMS-S1-1
    author: bryce.deyto@novare.com.hk
    changes:
    - createTable:
        tableName: sample
        columns:
        - column:
            name: id
            type: ${uuid_type}
            constraints:
              primaryKey: true
              nullable: false
        - column:
            name: sample_string
            type: varchar(50)
            constraints:
              nullable: true
        - column:
            name: sample_int
            type: int(4)
            constraints:
              nullable: true
        - column:
            name: sample_double
            type: double
            constraints:
              nullable: true
        - column:
            name: sample_long
            type: int(8)
            constraints:
              nullable: true
        - column:
            name: sample_boolean
            type: bool
            constraints:
              nullable: true
        - column:
            name: created_date
            type: timestamp
            defaultValue: ${now}
            constraints:
              nullable: false